<?php
include_once '../sys/inc/start.php';
$doc = new document(5);
$doc->title = 'Новая категория';




if (isset($_POST['name']) && isset($_POST['description']) && isset($_POST['position']))
{
$name=text::for_name($_POST['name']);
$description=text::input_text($_POST['description']);
$position=(int)$_POST['position'];
if ($name)
{
mysql_query("INSERT INTO `forum_categories` (`name`, `description`, `position`, `group_edit`)
 VALUES ('".my_esc($name)."', '".my_esc($description)."', '$position', '".max($user->group,5)."')");

$id_category=mysql_insert_id();
$doc->msg('Категория успешно создана');

//header('Refresh: 1; url=category.php?id='.$id_category);
//header('Refresh: 1; url=?'.passgen());
$doc->act('Создать еще','?'.passgen());
$doc->ret('В категорию','category.php?id='.$id_category);
$doc->ret('Форум','./');
exit;
}
else
{
$doc->err('Введите название категории');
}

}



$smarty = new design();
$smarty->assign('method','post');
$smarty->assign('action','?'.passgen().(isset($_GET['return'])?'&amp;return='.urlencode($_GET['return']):null));
$elements=array();
$elements[]=array('type'=>'input_text', 'title'=>'Название категории', 'br'=>1, 'info'=>array('name'=>'name'));
$elements[]=array('type'=>'textarea', 'title'=>'Описание', 'br'=>1, 'info'=>array('name'=>'description'));
$elements[]=array('type'=>'input_text', 'title'=>'Позиция', 'br'=>1,
 'info'=>array('name'=>'position','value'=>mysql_result(mysql_query("SELECT MAX(`position`) FROM `forum_categories`"),0)+1));
$elements[]=array('type'=>'submit', 'br'=>0, 'info'=>array('value'=>'Создать категорию')); // кнопка
$smarty->assign('el',$elements);
$smarty->display('input.form.tpl');



$doc->ret('В форум','./');

?>